阅读 360

CocoaPods 换源 git 安装 与 使用

CocoaPods

简介

CocoaPods 就是iOS 项目的开发 第三方库的管理工具

CocoaPods 是用 ruby 实现的,要想使用它首先需要有ruby环境。 虽然 Mac 系统默认可以运行ruby。但是ruby版本过低是无法正常支持CocoaPods的使用

查看ruby版本

# 如果ruby的版本低于2.2.2,就需要升级ruby的版本,
# 由于我的版本是 2.3.7,因此不需要升级
ruby -v
复制代码

Gem Ruby

  • Gem 的使用,GemRuby 的包管理工具,Ruby 的各种插件是通过 Gem 来安装的, CocoaPods 就是 Ruby 开发的一个插件。

  • 在使用 Gem 来安装 CocoaPods 时, 建议先更新 Gem 的版本,( GemMac OS 自带的我们不需要安装 ,但是需要更新下,防止安装失败)。

查看 Gem 版本

 gem --version ||  gem -v
复制代码

Gem 升级

# Gem 升级, 这个主要是解决 Gem 版本过老导致 Cocoapods 不能安装问题
sudo gem update --system
复制代码

Gem 更新所有插件

# Gem 更新所有插件
sudo gem update
复制代码

Gem 清除过期插件

# 清除过期插件
sudo gem cleanup
复制代码

CocoaPods 安装

建议换源之后再安装 不然会非常慢

更换 Ruby 源

// 查看现有的源
gem source -l  

// 移除
gem sources --remove  https://rubygems.org/

// 添加 ruby-china 的源
gem sources -a https://gems.ruby-china.org/
复制代码

CocoaPods 安装命令

sudo gem install cocoapods
复制代码

同理 https://gems.ruby-china.com 镜像也可换回 https://rubygems.org/

查看 Cocoapods 版本

pod -- version
复制代码

显示版本号,说明安装成功。

安装Cocoapods 仓库

换源安装 repo

# 移除原仓库镜像
pod repo remove master

# 使用清华源安装到本地 cd  ~/.cocoapods/repos/master
git clone https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git 
复制代码

git clone CocoaPods/Specs.git

最后需要setup一下

pod setup
复制代码

查看仓库信息

pod repo 
复制代码

注意

使用的时候 Podfile文件头部添加 换源后可以忽略

source https://mirrors.tuna.tsinghua.edu.cn/git/CocoaPods/Specs.git
复制代码

--no-repo-update`

运行pod update,会发现仍会让我们更新repo,这里可以通过执行pod update --verbose --no-repo-update达到不更新repo的效果。

查看我们的repo是否正常

关注下面的标签,发现更多相似文章
评论